/*
 * 	common.h - Common header files for libglacier
 *
 * 	This file is part of libglacier.
 *
 * 	Libglacier is free software: you can redistribute it and/or modify it under the terms of the
 * 	GNU Lesser General Public License as published by the Free Software Foundation, either
 * 	version 3 of the License, or (at your option) any later version.
 *
 * 	Libglacier is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * 	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * 	PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 *
 * 	You should have received a copy of the GNU Lesser General Public License along with Libglacier. If
 * 	not, see <https://www.gnu.org/licenses/>.
 */

#ifndef COMMMON_H_
#define COMMON_H_

#include <color.h>
#include <dirent.h>
#include <errno.h>
#include <libconfig.h>
#include <locale.h>
#include <openssl/sha.h>
#include <stdbool.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/stat.h>
#include <unistd.h>
#include <wchar.h>

#include "../config.h"
#include "../include/globals.h"

#define BUFFER_SIZE 1024
#define MAX_CHILDREN 64
#define MAX_SIZE 256

#endif
