/*
 * 	runtime.c - Security functions
 *
 * 	This file is part of libglacier.
 *
 * 	Liblacier is free software: you can redistribute it and/or modify it under the terms of the
 * 	GNU General Public License as published by the Free Software Foundation, either
 * 	version 3 of the License, or (at your option) any later version.
 *
 * 	Libglacier is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * 	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * 	PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * 	You should have received a copy of the GNU General Public License along with Libglacier. If
 * 	not, see <https://www.gnu.org/licenses/>.
 */

#include "common.h"

/* ALL FUNCTIONS IN THIS FILE DEFINED IN: security.h */

/*
 * compare_file_hash
 *
 * DESCRIPTION: Compare two file hashes
 * PARAMETERS: char ORIG_HASH[], char FILE[]
 * DEFINED IN: security.h
 *
 */

/*
int
compare_file_hash(char ORIG_HASH[], char FILE[])
{
	FILE *pkg;

	pkg = fopen(FILE, "rb");
	if (pkg == NULL) {
		return -1;
	}

	unsigned char hash[SHA256_DIGEST_LENGTH];
	SHA256_CTX sha256;

	SHA256_Init(&sha256);

	const int hashBufferSize = 1024;
	unsigned char hashBuffer[hashBufferSize];
	int bytesRead;

	while ((byesRead = fread(hashBuffer, 1, hashBufferSize, pkg)) != 0) {
		SHA256_Update(&sha256, hashBuffer, bytesRead);
	}
	
	SHA256_Final(hash, &sha256);
	fclose(pkg);

	for (int i = 0; i < SHA256_DIGEST_LENGTH; i++) {
		printf("%02x", hash[i]);
	}
}
*/
